Uploads the Extension
- PUT /deployments/extensions/{extension_id}
Uploads archive for an extension.
Path Parameters
-
extension_idstringrequired -
Id of an extension
Responses
Archive uploaded successfully.
-
idstringrequired -
The extension ID
-
namestringrequired -
The extension name.
-
descriptionstring -
The extension description.
-
urlstringrequired -
The extension URL to be used in the plan.
-
download_urlstring -
The download URL specified during extension creation.
-
versionstringrequired -
The Elasticsearch version.
-
deploymentsstring -
List of deployments using this extension. Up to only 10000 deployments will be included in the list.
-
file_metadataExtensionFileMetadata -
last_modified_datestring -
The date and time the extension was last modified.
-
sizeinteger -
The extension file size in bytes.
-
urlstring -
The temporary URL to download the extension file. Usable for verification.
Response Headers
-
x-cloud-resource-versionstring The resource version, which is used to avoid update conflicts with concurrent operations
-
x-cloud-resource-createdstring The date-time when the resource was created (ISO format relative to UTC)
-
x-cloud-resource-last-modifiedstring The date-time when the resource was last modified (ISO format relative to UTC)
Could not accept the extensions file. (code: extensions.request_execution_failed)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
- The extension does not belong to you. (code:
extensions.unauthorised) - Your current session does not have a user id associated with it. (code:
extensions.no_user_id)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The extension you want does not exist. (code: extensions.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response